
Redmine - Defect #4990

Migrate from trac - Issue category about 15 characters are cut off

2010-03-05 09:15 - Mike Stupalov

Status: Closed Start date: 2010-03-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

After migration from trac all Issue categories were cut off to 15 characters.

Example (in Russian):  

Trac Админская панель Клиентская панель

Redmine Админская панел Клиентская пане

Related issues:

Is duplicate of Redmine - Defect #3392: Issue categories length and utf-8 pro... Closed 2009-05-20

History

#1 - 2010-03-05 15:15 - Vitaly Klimov

This could happen if you have created redmine databases with latin1 codepage instead of utf-8

If this is a new installation of redmine i recommend you to create databases from scratch in utf-8 encoding and add following line to the database.yml

:

encoding: utf8

 If you do not want to lose all the existing data, drop me e-mail i'll send you detailed instructions, assuming you are using MySQL server. I had to go

through this couple of months ago.

#2 - 2010-03-05 15:26 - Mike Stupalov

config for database:

production:

  adapter: mysql

  database: redmine

  host: localhost

  username: redmine

  password: my_password

  encoding: utf8

#3 - 2010-03-05 15:28 - Mike Stupalov

mysql> SHOW CREATE DATABASE `redmine`;

+----------+------------------------------------------------------------------+

| Database | Create Database                                                  |

+----------+------------------------------------------------------------------+

| redmine  | CREATE DATABASE `redmine` /*!40100 DEFAULT CHARACTER SET utf8 */ |

+----------+------------------------------------------------------------------+

#4 - 2010-03-05 15:33 - Mike Stupalov

mysql built on freebsd 7.2 with make variables:

WITH_CHARSET=utf8

WITH_XCHARSET=all

WITH_COLLATION=utf8_general_ci

BUILD_STATIC=yes

BUILD_OPTIMIZED=yes
#5 - 2010-03-05 15:37 - Mike Stupalov

# RAILS_ENV="production" script/about 

About your application's environment

Ruby version              1.8.7 (amd64-freebsd7)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /usr/local/www/redmine-trunk

Environment               production

Database adapter          mysql

Database schema version   20100221100219

About your Redmine plugins

Redmine Wiki Extensions plugin   0.2.0

#6 - 2010-03-06 18:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #3392.
